mav_SMSCallbackIntersectSet(3)

NAME
mav_SMSCallbackIntersectSet - Set/execute "Intersect" callback function.

LEVEL
Maverik Level 3

SYNTAX
void mav_SMSCallbackIntersectSet(MAV_SMSClass *sc, MAV_SMSCallbackIntersectFn fn);

int mav_SMSCallbackIntersectExec(MAV_SMS *s, MAV_window *w, MAV_line ln, MAV_objectIntersection *oi, MAV_object **o);

ARGUMENTS

DESCRIPTION
sets the callback function for SMS class sc, which performs object intersection testing. executes the SMS callback function registered by mav_SMSCallbackIntersectSet. The callback steps through the SMS executing each object's intersection callback when necessary. The closest intersection of line ln with an object (if any) is returned in oi, and the relevant object in o. The result of the function is MAV_TRUE if an intersection was detected, else MAV_FALSE.